API Direct
Endpoints
Instagram Post Likes

Instagram Post Likes

GET /v1/instagram/post/likes

Get the users who liked an Instagram post or reel by URL or shortcode. Returns username, full name, user ID, verification status, privacy status, and profile picture for each liker, plus the post's total like count, in a single request.

Cost
$0.006 per request
Free tier
50 requests/month

Parameters

url
Instagram post or reel URL, e.g. https://www.instagram.com/p/CxYQJO8xuC6/ (max 500 characters). Provide either url or code.
code
The post's shortcode, e.g. CxYQJO8xuC6, or numeric media ID (max 50 characters). Provide either url or code.

Example Request

curl "https://apidirect.io/v1/instagram/post/likes?code=CxYQJO8xuC6" \
  -H "X-API-Key: YOUR_API_KEY"

Example Response

{
  "likes": [
    {
      "username": "grannyfeet9",
      "full_name": "Feetgranny",
      "user_id": "25641676135",
      "is_verified": false,
      "is_private": true,
      "profile_pic_url": "https://scontent.cdninstagram.com/v/t51.2885-19/photo.jpg",
      "url": "https://instagram.com/grannyfeet9"
    }
  ],
  "code": "CxYQJO8xuC6",
  "total": 182068,
  "count": 845
}

Your Usage

Free tier this month
Loading...
Recent Activity